bin_PROGRAMS = ppImage ppFocus

noinst_PROGRAMS = ppTest

noinst_HEADERS = \
	ppImage.h 

ppImage_CPPFLAGS = $(PSLIB_CFLAGS) $(PSMODULE_CFLAGS) $(PSPHOT_CFLAGS) $(PSASTRO_CFLAGS) $(PPSTATS_CFLAGS) $(ppImage_CFLAGS)
ppImage_LDFLAGS = $(PSLIB_LIBS) $(PSMODULE_LIBS) $(PSPHOT_LIBS) $(PPSTATS_LIBS) $(PSASTRO_LIBS) 
ppImage_SOURCES = \
	ppImage.c \
	ppImageArguments.c \
	ppImageParseCamera.c \
	ppImageLoop.c \
	ppImageCleanup.c \
	ppImageOptions.c \
	ppImageDetrendReadout.c \
	ppImageDetrendNonLinear.c \
	ppImageDetrendFringe.c \
	ppImageRebinReadout.c \
	ppImageMosaic.c \
	ppImagePhotom.c \
	ppImageAstrom.c \
	ppImageAddstar.c \
	ppImageStats.c \
	ppImageStatsOutput.c \
	ppImagePixelStats.c \
	ppImageMetadataStats.c \
	ppImageReplaceBackground.c \
	ppImageDefineFile.c \
	ppImageSetMaskBits.c \
	ppImageFileCheck.c \
	ppImageVersion.c \
	ppImageMemory.c

ppFocus_CPPFLAGS = $(PSLIB_CFLAGS) $(PSMODULE_CFLAGS) $(PSPHOT_CFLAGS) $(PSASTRO_CFLAGS) $(PPSTATS_CFLAGS) $(ppImage_CFLAGS)
ppFocus_LDFLAGS = $(PSLIB_LIBS) $(PSMODULE_LIBS) $(PSPHOT_LIBS) $(PPSTATS_LIBS) $(PSASTRO_LIBS)
ppFocus_SOURCES = \
	ppFocus.c \
	ppFocusArguments.c \
	ppFocusParseCamera.c \
	ppFocusGetFWHM.c \
	ppFocusFitFWHM.c \
	ppImageLoop.c \
	ppImageCleanup.c \
	ppImageOptions.c \
	ppImageDetrendReadout.c \
	ppImageDetrendNonLinear.c \
	ppImageDetrendFringe.c \
	ppImageRebinReadout.c \
	ppImageMosaic.c \
	ppImagePhotom.c \
	ppImageAstrom.c \
	ppImageAddstar.c \
	ppImageStats.c \
	ppImageStatsOutput.c \
	ppImagePixelStats.c \
	ppImageMetadataStats.c \
	ppImageReplaceBackground.c \
	ppImageDefineFile.c \
	ppImageSetMaskBits.c \
	ppImageFileCheck.c \
	ppImageVersion.c \
	ppImageMemory.c

ppTest_CPPFLAGS = $(PSLIB_CFLAGS) $(PSMODULE_CFLAGS) $(ppImage_CFLAGS)
ppTest_LDFLAGS = $(PSLIB_LIBS) $(PSMODULE_LIBS)
ppTest_SOURCES = \
	ppTest.c

CLEANFILES = *~

clean-local:
	-rm -f TAGS
# Tags for emacs
tags:
	etags `find . -name \*.[ch] -print`
